### Xilinx Processor IP Library

Software Drivers

Main Page | Data Structures | File List | Data Fields | Globals

# XMpmc_Stats Struct Reference

## Detailed Description

The XMpmc driver stats data. A pointer to a variable of this type is passed to the driver API functions.

## Data Fields
u16 | SingleErrorCount
u16 | DoubleErrorCount
u16 | ParityErrorCount
u32 | LastErrorAddress
u8 | EccErrorSyndrome
u8 | EccErrorTransSize
u8 | ErrorReadWrite

## Field Documentation

u16 XMpmc_Stats::DoubleErrorCount

| Double Error Count

u8 XMpmc_Stats::EccErrorSyndrome

| Indicates the ECC error syndrome value

u8 XMpmc_Stats::EccErrorTransSize

| Size of transaction where error occured

u8 XMpmc_Stats::ErrorReadWrite

| Indicates if error occurred in read/write

u32 XMpmc_Stats::LastErrorAddress

| Address of memory where error occurred

u16 XMpmc_Stats::ParityErrorCount

| Parity Error Count

u16 XMpmc_Stats::SingleErrorCount

| Single Error Count

The documentation for this struct was generated from the following file:

- xmpmc.h

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.